const fs = require('fs')
// const dir = fs.readdirSync('./')
// console.log(dir)

// iterate through elements
// for (let d of dir) {
//   console.log(`Entry: ${d}`);
// }

// use callback alternative
// fs.readdir('./', function (err, dirResultOne) {
//   if (err) {
//     // handle error..
//     return
//   }
//   console.log(dirResultOne)
//   fs.readdir('./', function (errTwo, dirResultTwo) {
//     if (errTwo) {
//       // handle second error..
//       return
//     }
//     console.log(dirResultTwo)
//   })
// })

// const util = require('util')
// const readDirAsync = util.promisify(fs.readdir)
// using self executing function with async/await
// (async function () {
//   const dirResultOne = await readDirAsync('./')
//   const dirResultTwo = await readDirAsync('./')
//   // ...
// })()

const util = require('util')
const readDirAsync = util.promisify(fs.readdir)
const http = require('http')
const requestHandler = async function (req, res) {
  res.writeHead(200, { 'Content-Type': 'application/json' })
  const dir = await readDirAsync('./videos')
  res.write(JSON.stringify(dir))
  res.end()
}
const port = 8000
const host = 'localhost'
const server = http.createServer(requestHandler)
server.listen(port, host, function () {
  console.log(`listening for video library requests on http://${host}:${port}`)
})